> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.api.abelpolice.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.api.abelpolice.com/_mcp/server.

# List reports

GET https://api.stage.abelpolice.com/v1/reports

Reference: https://docs.api.abelpolice.com/api-reference/reports/list-reports-v-1-reports-get

## Request

### Query parameters

- `user_id` (string, optional, nullable) — Valid UUID of the user to filter reports by
- `agency_id` (string, optional, nullable) — Valid UUID of the agency to filter reports by
- `event_occurred_after` (datetime, optional, nullable) — Filter reports where event occurred on or after this date/datetime (UTC)
- `event_occurred_before` (datetime, optional, nullable) — Filter reports where event occurred on or before this date/datetime (UTC)
- `report_created_after` (datetime, optional, nullable) — Filter reports created on or after this date/datetime (UTC)
- `report_created_before` (datetime, optional, nullable) — Filter reports created on or before this date/datetime (UTC)
- `report_updated_after` (datetime, optional, nullable) — Filter reports updated on or after this date/datetime (UTC)
- `report_updated_before` (datetime, optional, nullable) — Filter reports updated on or before this date/datetime (UTC)
- `report_status` (V1ReportsGetParametersReportStatusSchema, optional, nullable) — Filter reports by status (single value or list)
- `user_email` (string, optional, nullable) — Filter reports by user email
- `include_archived` (boolean, optional, default: false) — Whether to include archived reports
- `limit` (integer, optional, default: 1000) — Maximum number of reports to return
- `offset` (integer, optional, default: 0) — Number of reports to skip

### Headers

- `x-api-key` (string, required) — API key or token

## Response

### 200

Successful Response

- `reports` (list of SingleReportResponse, required)
- `metadata` (APIMetadataResponse, required)

## Errors

### 403 Forbidden Error

Access Denied

- `detail` (string, required)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (string, required)

## Types

### V1ReportsGetParametersReportStatusSchema

Filter reports by status (single value or list)

- ReportStatus: enum
  - Allowed values: `merging_evidence`, `validating_evidence`, `queued`, `running`, `downloading_video`, `generating_transcript`, `processing_transcript`, `matching_cad`, `detecting_location`, `retrieving_weather`, `gathering_entities`, `generating_narrative`, `formatting_report`, `completed`, `error`, `skipped`, `voice_tagging`
- list of enum
  - Allowed values: `merging_evidence`, `validating_evidence`, `queued`, `running`, `downloading_video`, `generating_transcript`, `processing_transcript`, `matching_cad`, `detecting_location`, `retrieving_weather`, `gathering_entities`, `generating_narrative`, `formatting_report`, `completed`, `error`, `skipped`, `voice_tagging`

### SingleReportResponse

- `report_id` (string, required) — Report UUID
- `agency_id` (string, required) — Agency UUID
- `user_id` (string, required) — User UUID
- `event_occurred_at_utc` (datetime, required) — Report occurred at (UTC)
- `report_expiration_at_utc` (datetime, required) — Report expires at (UTC)
- `is_restricted` (boolean, required) — Whether any evidence attached to the report is restricted in the DEMS
- `is_archived` (boolean, required) — Whether the report is archived
- `user_email` (string, optional, nullable) — User email
- `user_first_name` (string, optional, nullable) — User first name
- `user_last_name` (string, optional, nullable) — User last name
- `user_badge_number` (string, optional, nullable) — User badge number
- `user_title` (string, optional, nullable) — User title
- `report_created_at_utc` (datetime, optional, nullable) — Report created at (UTC)
- `report_updated_at_utc` (datetime, optional, nullable) — Report updated at (UTC)
- `report_type` (enum, optional, nullable) — Report type
  - Allowed values: `BURGLARY`, `VEHICLE BURGLARY`, `SHOPLIFTING`, `TRESPASSING`, `VANDALISM`, `THEFT`, `STOLEN VEHICLE`, `RECOVERED VEHICLE`, `FRAUD`, `STOLEN PROPERTY`, `ARSON`, `LOST PROPERTY`, `FOUND PROPERTY`, `ASSAULT/BATTERY`, `DOMESTIC VIOLENCE`, `ROBBERY`, `SEXUAL ASSAULT`, `CHILD ABUSE`, `ELDER ABUSE`, `KIDNAPPING`, `HOMICIDE`, `DEATH INVESTIGATION`, `MENTAL HEALTH HOLD`, `WELFARE CHECK`, `MISSING PERSON`, `WARRANT ARREST`, `DUI`, `TRAFFIC COLLISION`, `TRAFFIC CITATION`, `HATE CRIME`, `SUPPLEMENTAL REPORT`, `CONTACT ATTEMPT`, `EVIDENCE LOG`, `WEAPONS VIOLATION`, `DRUGS VIOLATION`, `PAROLE VIOLATION`, `PROBATION VIOLATION`, `RESTRAINING ORDER VIOLATION`, `PUBLIC INTOXICATION`, `WITNESS INTERVIEW`, `VICTIM INTERVIEW`, `SUSPECT INTERROGATION`, `GENERAL`
- `report_category` (enum, optional, nullable) — Report category
  - Allowed values: `PROPERTY`, `PERSON`, `TRAFFIC`, `VIOLATION`, `INTERVIEW`, `GENERAL`, `OTHER`
- `sixteen_word_title` (string, optional, nullable) — Sixteen word title
- `eight_word_title` (string, optional, nullable) — Eight word title
- `four_word_title` (string, optional, nullable) — Four word title
- `cad_event_id` (string, optional, nullable) — CAD event ID
- `combined_from_reports` (list of string, optional, nullable) — Reports that were combined to create this report
- `report_status` (enum, optional, nullable) — Report status
  - Allowed values: `merging_evidence`, `validating_evidence`, `queued`, `running`, `downloading_video`, `generating_transcript`, `processing_transcript`, `matching_cad`, `detecting_location`, `retrieving_weather`, `gathering_entities`, `generating_narrative`, `formatting_report`, `completed`, `error`, `skipped`, `voice_tagging`
- `report_skipped_reason` (string, optional, nullable) — Reason for skipping report generation, if applicable
- `videos` (list of ListVideoResponse, optional) — Videos in the report
- `audios` (list of ListAudioResponse, optional) — Audios in the report
- `photos` (list of ListPhotoResponse, optional) — Photos in the report
- `key_frames` (string, optional, nullable) — Presigned URL for key frames spritesheet collage

### APIMetadataResponse

- `offset` (integer, required)
- `limit` (integer, required)
- `total_records` (integer, required)
- `total_pages` (integer, required)
- `current_page` (integer, required)
- `has_next_page` (boolean, required)
- `has_previous_page` (boolean, required)
- `records_in_page` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ListVideoResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `dems_id` (string, required) — DEMS ID
- `video_id` (string, required) — Video UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information
- `duration_seconds` (double, optional, nullable) — Video length in seconds

### ListAudioResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `dems_id` (string, required) — DEMS ID
- `audio_id` (string, required) — Audio UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information
- `duration_seconds` (double, optional, nullable) — Audio length in seconds

### ListPhotoResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `dems_id` (string, required) — DEMS ID
- `photo_id` (string, required) — Photo UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information

### ValidationErrorLocItems

- string
- integer

### LockerInfo

- `locker_id` (string, optional, nullable) — Locker ID
- `locker_title` (string, optional, nullable) — Locker title
- `locker_categories` (list of string, optional, nullable) — Locker categories

## Examples

**Response**

```json
{
  "reports": [
    {
      "report_id": "123e4567-e89b-12d3-a456-426614174000",
      "agency_id": "123e4567-e89b-12d3-a456-426614174000",
      "user_id": "123e4567-e89b-12d3-a456-426614174000",
      "event_occurred_at_utc": "2021-01-01T00:00:00Z",
      "report_expiration_at_utc": "2021-01-01T00:00:00Z",
      "is_restricted": false,
      "is_archived": true,
      "user_email": "officer@agency.com",
      "user_first_name": "John",
      "user_last_name": "McClane",
      "user_badge_number": "881",
      "user_title": "Captain",
      "report_created_at_utc": "2021-01-01T00:00:00Z",
      "report_updated_at_utc": "2021-01-01T00:00:00Z",
      "report_type": "ROBBERY",
      "report_category": "PROPERTY",
      "sixteen_word_title": "A sixteen word title",
      "eight_word_title": "An eight word title",
      "four_word_title": "A four word title",
      "cad_event_id": "123456",
      "combined_from_reports": [
        "123e4567-e89b-12d3-a456-426614174000",
        "123e4567-e89b-12d3-a456-426614174001"
      ],
      "report_status": "completed",
      "report_skipped_reason": "No speech detected in audio files",
      "videos": [
        {
          "occurred_at_utc": "2021-01-01T00:00:00Z",
          "uploaded_at_utc": "2021-01-01T00:00:00Z",
          "created_at_utc": "2021-01-01T00:00:00Z",
          "dems_id": "123e4567-e89b-12d3-a456-426614174000",
          "video_id": "123e4567-e89b-12d3-a456-426614174000",
          "locker_info": {
            "locker_id": "123456",
            "locker_title": "Locker 1",
            "locker_categories": [
              "category1",
              "category2"
            ]
          },
          "duration_seconds": 120
        }
      ],
      "audios": [
        {
          "occurred_at_utc": "2021-01-01T00:00:00Z",
          "uploaded_at_utc": "2021-01-01T00:00:00Z",
          "created_at_utc": "2021-01-01T00:00:00Z",
          "dems_id": "123e4567-e89b-12d3-a456-426614174000",
          "audio_id": "123e4567-e89b-12d3-a456-426614174000",
          "locker_info": {
            "locker_id": "123456",
            "locker_title": "Locker 1",
            "locker_categories": [
              "category1",
              "category2"
            ]
          },
          "duration_seconds": 120
        }
      ],
      "photos": [
        {
          "occurred_at_utc": "2021-01-01T00:00:00Z",
          "uploaded_at_utc": "2021-01-01T00:00:00Z",
          "created_at_utc": "2021-01-01T00:00:00Z",
          "dems_id": "123e4567-e89b-12d3-a456-426614174000",
          "photo_id": "123e4567-e89b-12d3-a456-426614174000",
          "locker_info": {
            "locker_id": "123456",
            "locker_title": "Locker 1",
            "locker_categories": [
              "category1",
              "category2"
            ]
          }
        }
      ],
      "key_frames": "string"
    }
  ],
  "metadata": {
    "offset": 1,
    "limit": 1,
    "total_records": 1,
    "total_pages": 1,
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": true,
    "records_in_page": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.stage.abelpolice.com/v1/reports"

headers = {"x-api-key": "<token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.stage.abelpolice.com/v1/reports';
const options = {method: 'GET', headers: {'x-api-key': '<token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.stage.abelpolice.com/v1/reports"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.stage.abelpolice.com/v1/reports")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.stage.abelpolice.com/v1/reports")
  .header("x-api-key", "<token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.stage.abelpolice.com/v1/reports', [
  'headers' => [
    'x-api-key' => '<token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.stage.abelpolice.com/v1/reports");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.stage.abelpolice.com/v1/reports")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```